slice2cpp(1)

NAME
slice2cpp - The Slice to C++ compiler.

SYNOPSIS
slice2cpp [options] [files]

DESCRIPTION
slice2cpp compiles Slice files to C++. The macro __SLICE2CPP__ is defined during this compilation. Full documentation for slice2cpp is available online at:
https://doc.zeroc.com/display/Ice37/slice2cpp+Command-Line+Options

OPTIONS

-h, --help
    Displays help message.

-v, --version
    Displays the compiler version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Add the directory DIR to the search path for #include directives.

-E
    Print the preprocessor output on stdout.

--output-dir DIR
    Place the generated files into directory DIR.

-d, --debug
    Print debug information showing the operation of the Slice parser.

--depend
    Print dependency information to standard output by default, or to the file specified by the --depend-file option. No code is generated when this option is specified.

--depend-xml
    Print dependency information in XML format to standard output by default, or to the file specified by the --depend-file option. No code is generated when this option is specified.

--depend-file FILE
    Directs dependency information to the specified file. The output format depends on whether --depend or --depend-xml is also specified.

--validate
    Checks the provided command-line options for correctness, and does not generate any code.

--header-ext EXT
    Changes the file extension for the generated header files from the default h to EXT.

--source-ext EXT
    Changes the file extension for the generated source files from the default cpp to EXT.

--add-header HDR[,GUARD]
    This option adds an include directive for the specified header at the beginning of the generated source file (preceding any other include directives). If GUARD is specified, the include directive is protected by the specified guard.

--include-dir DIR
    Modifies #include directives in source files to prepend the path name of each header file with the directory DIR.

--impl-c++11
    Generate sample implementation files for the C++11 mapping. This option will not overwrite an existing file.

--impl-c++98
    Generate sample implementation files for the C++98 mapping. This option will not overwrite an existing file.

--checksum
    Generate checksums for Slice definitions.

SEE ALSO
slice2cs(1), slice2html(1), slice2java(1), slice2js(1), slice2php(1), slice2py(1), slice2rb(1)